Loading...
Searching...
No Matches
CsoundEvent Struct Referenceabstract

Abstract base class for Csound events to be enqueued for performance. More...

`#include <csound_threaded.hpp>`

Inheritance diagram for CsoundEvent:

## Public Member Functions

virtual | ~CsoundEvent ()
virtual int | operator() (CSOUND *csound_)=0
| Dispatches the event to Csound during performance.

## Detailed Description

Abstract base class for Csound events to be enqueued for performance.

## Constructor & Destructor Documentation

## ~CsoundEvent()

virtual CsoundEvent::~CsoundEvent | ( |  | ) |

inline virtual

## Member Function Documentation

## operator()()

virtual int CsoundEvent::operator() | ( | CSOUND * | csound_ | ) |

pure virtual

Dispatches the event to Csound during performance.

Implemented in CsoundScoreEvent, and CsoundTextEvent.